LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software > Linux - Kernel
User Name
Password
Linux - Kernel This forum is for all discussion relating to the Linux kernel.

Notices


Reply
  Search this Thread
Old 09-11-2017, 05:11 AM   #1
ksahin
LQ Newbie
 
Registered: Sep 2017
Posts: 1

Rep: Reputation: Disabled
Smile Version magic '3.10.40-ga7da876 SMP preempt mod_unload ARMv7 p2v8 ' hould be '3.10.40 SMP preempt mod_unload ARMv7 p2v8 '


Hi,

I want to work on mini PCIE capture card on my Jetson TK1 with ubuntu 14.04. To install the linux drivers of this mini PCIE capture card, I am following README file, and there exist a step in which I simply enter the modprobe c353 command. After I use this command, I encounter with the following issue: modprobe: ERROR: could not insert 'c353': Exec format error. To check what the problem is, I use dmesg | grep c353 command, and I obtain the following lines.

[ 12.215727] c353: version magic '3.10.40-ga7da876 SMP preempt mod_unload ARMv7 p2v8 ' should be '3.10.40 SMP preempt mod_unload ARMv7 p2v8 '
[ 96.870524] c353: version magic '3.10.40-ga7da876 SMP preempt mod_unload ARMv7 p2v8 ' should be '3.10.40 SMP preempt mod_unload ARMv7 p2v8 '
[232453.359945] c353: version magic '3.10.40-ga7da876 SMP preempt mod_unload ARMv7 p2v8 ' should be '3.10.40 SMP preempt mod_unload ARMv7 p2v8 '
[232601.891224] c353: version magic '3.10.40-ga7da876 SMP preempt mod_unload ARMv7 p2v8 ' should be '3.10.40 SMP preempt mod_unload ARMv7 p2v8 '
[232703.729826] c353: version magic '3.10.40-ga7da876 SMP preempt mod_unload ARMv7 p2v8 ' should be '3.10.40 SMP preempt mod_unload ARMv7 p2v8 '
[239735.421057] c353: version magic '3.10.40-ga7da876 SMP preempt mod_unload ARMv7 p2v8 ' should be '3.10.40 SMP preempt mod_unload ARMv7 p2v8 '
[240491.587802] c353: version magic '3.10.40-ga7da876 SMP preempt mod_unload ARMv7 p2v8 ' should be '3.10.40 SMP preempt mod_unload ARMv7 p2v8 '
[240931.647299] c353: version magic '3.10.40-ga7da876 SMP preempt mod_unload ARMv7 p2v8 ' should be '3.10.40 SMP preempt mod_unload ARMv7 p2v8 '
[241343.761810] c353: version magic '3.10.40-ga7da876 SMP preempt mod_unload ARMv7 p2v8 ' should be '3.10.40 SMP preempt mod_unload ARMv7 p2v8 '
[241375.005200] c353: version magic '3.10.40-ga7da876 SMP preempt mod_unload ARMv7 p2v8 ' should be '3.10.40 SMP preempt mod_unload ARMv7 p2v8 '
[241413.822024] c353: version magic '3.10.40-ga7da876 SMP preempt mod_unload ARMv7 p2v8 ' should be '3.10.40 SMP preempt mod_unload ARMv7 p2v8 '
[241444.576157] c353: version magic '3.10.40-ga7da876 SMP preempt mod_unload ARMv7 p2v8 ' should be '3.10.40 SMP preempt mod_unload ARMv7 p2v8 '

I check the following links to solve my problem, but there is not any improvement.

https://pietrotech.wordpress.com/201...-format-error/
http://billauer.co.il/blog/2013/10/v...odprobe-force/
https://www.linuxquestions.org/quest...ic-4175424366/
https://linux.die.net/lkmpg/x380.html

Can someone help me about my issue?
 
Old 09-12-2017, 02:15 PM   #2
Emerson
LQ Guru
 
Registered: Nov 2004
Location: Saint Amant, Acadiana
Distribution: Gentoo ~arch
Posts: 6,317

Rep: Reputation: Disabled
Build your module against running kernel sources and you won't have this problem.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] kernel boot error: version magic '3.2.29 SMP mod_unload PENTIUMIII ' should be '3.2.2 Ongbuntu Linux - Kernel 3 09-18-2013 10:13 PM
Why "magic number "2.6.38 SMP mod_unload" should be "2.6.38 SMP" " ? rpatel Linux - Kernel 0 10-16-2012 04:35 AM
Deactivating Kernel Mode PREEMPT & SMP Maladjez LinuxAnswers Discussion 1 03-28-2007 09:57 AM
How to disable PREEMPT and/or SMP kernel mode on OpenSuse 10.2 Maladjez Linux - Kernel 3 02-06-2007 02:58 AM
Module problems: 2.6.18 mod_unload K7 REGPARM gcc-3.3 Shioni Linux - General 0 10-16-2006 03:43 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software > Linux - Kernel

All times are GMT -5. The time now is 12:51 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration